FAQ
I'm trying to build 7.4.2 on OS X 10.3.4, with --enable-thread-safey, and
configure gives me this error:


checking pthread.h usability... yes
checking pthread.h presence... yes
checking for pthread.h... yes
configure: error:
Cannot enable threads on your platform.
Please report your platform threading info to the PostgreSQL mailing lists
so it can be added to the next release. Report all compile flags, link
flags,
functions, or libraries required for threading support.
See the comment at the top of src/port/thread.c for more information.


--
Scott Ribe
scott_ribe@killerbytes.com
http://www.killerbytes.com/
(303) 665-7007 voice

Search Discussions

Discussion Posts

Follow ups

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 1 of 2 | next ›
Discussion Overview
grouppgsql-ports @
categoriespostgresql
postedJun 8, '04 at 8:29p
activeJun 8, '04 at 11:48p
posts2
users2
websitepostgresql.org
irc#postgresql

2 users in discussion

Bruce Momjian: 1 post Scott Ribe: 1 post

People

Translate

site design / logo © 2022 Grokbase